1. Packages
  2. Packages
  3. Pulumi Cloud (Pulumi Service provider)
  4. API Docs
  5. api
  6. api/stacks
  7. Tag

This provider is currently in preview.

Viewing docs for Pulumi Cloud v1.1.0
published on Thursday, May 21, 2026 by Pulumi
pulumiservice logo

This provider is currently in preview.

Viewing docs for Pulumi Cloud v1.1.0
published on Thursday, May 21, 2026 by Pulumi

    Creates a new tag on the specified stack. Tags are key-value metadata pairs that can be used for organization, filtering, and storing additional information about stacks. The request body must include both a tag name and value. Returns 400 if the tag name is invalid or the tag already exists. Built-in tags (such as those automatically set by the Pulumi CLI) follow specific naming conventions.

    Create Tag Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new Tag(name: string, args: TagArgs, opts?: CustomResourceOptions);
    @overload
    def Tag(resource_name: str,
            args: TagArgs,
            opts: Optional[ResourceOptions] = None)
    
    @overload
    def Tag(resource_name: str,
            opts: Optional[ResourceOptions] = None,
            name: Optional[str] = None,
            org_name: Optional[str] = None,
            project_name: Optional[str] = None,
            stack_name: Optional[str] = None,
            value: Optional[str] = None)
    func NewTag(ctx *Context, name string, args TagArgs, opts ...ResourceOption) (*Tag, error)
    public Tag(string name, TagArgs args, CustomResourceOptions? opts = null)
    public Tag(String name, TagArgs args)
    public Tag(String name, TagArgs args, CustomResourceOptions options)
    
    type: pulumiservice:api/stacks:Tag
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "pulumiservice_api_stacks_tag" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args TagArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args TagArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args TagArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args TagArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args TagArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var tagResource = new PulumiService.Api.Stacks.Tag("tagResource", new()
    {
        Name = "string",
        OrgName = "string",
        ProjectName = "string",
        StackName = "string",
        Value = "string",
    });
    
    example, err := stacks.NewTag(ctx, "tagResource", &stacks.TagArgs{
    	Name:        pulumi.String("string"),
    	OrgName:     pulumi.String("string"),
    	ProjectName: pulumi.String("string"),
    	StackName:   pulumi.String("string"),
    	Value:       pulumi.String("string"),
    })
    
    resource "pulumiservice_api_stacks_tag" "tagResource" {
      name         = "string"
      org_name     = "string"
      project_name = "string"
      stack_name   = "string"
      value        = "string"
    }
    
    var tagResource = new Tag("tagResource", TagArgs.builder()
        .name("string")
        .orgName("string")
        .projectName("string")
        .stackName("string")
        .value("string")
        .build());
    
    tag_resource = pulumiservice.api.stacks.Tag("tagResource",
        name="string",
        org_name="string",
        project_name="string",
        stack_name="string",
        value="string")
    
    const tagResource = new pulumiservice.api.stacks.Tag("tagResource", {
        name: "string",
        orgName: "string",
        projectName: "string",
        stackName: "string",
        value: "string",
    });
    
    type: pulumiservice:api/stacks:Tag
    properties:
        name: string
        orgName: string
        projectName: string
        stackName: string
        value: string
    

    Tag Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The Tag resource accepts the following input properties:

    Name string
    The tag key, which must conform to the stack tag naming rules.
    OrgName string
    The organization name
    ProjectName string
    The project name
    StackName string
    The stack name
    Value string
    The tag value associated with this key.
    Name string
    The tag key, which must conform to the stack tag naming rules.
    OrgName string
    The organization name
    ProjectName string
    The project name
    StackName string
    The stack name
    Value string
    The tag value associated with this key.
    name string
    The tag key, which must conform to the stack tag naming rules.
    org_name string
    The organization name
    project_name string
    The project name
    stack_name string
    The stack name
    value string
    The tag value associated with this key.
    name String
    The tag key, which must conform to the stack tag naming rules.
    orgName String
    The organization name
    projectName String
    The project name
    stackName String
    The stack name
    value String
    The tag value associated with this key.
    name string
    The tag key, which must conform to the stack tag naming rules.
    orgName string
    The organization name
    projectName string
    The project name
    stackName string
    The stack name
    value string
    The tag value associated with this key.
    name str
    The tag key, which must conform to the stack tag naming rules.
    org_name str
    The organization name
    project_name str
    The project name
    stack_name str
    The stack name
    value str
    The tag value associated with this key.
    name String
    The tag key, which must conform to the stack tag naming rules.
    orgName String
    The organization name
    projectName String
    The project name
    stackName String
    The stack name
    value String
    The tag value associated with this key.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the Tag resource produces the following output properties:

    Id string
    The provider-assigned unique ID for this managed resource.
    Id string
    The provider-assigned unique ID for this managed resource.
    id string
    The provider-assigned unique ID for this managed resource.
    id String
    The provider-assigned unique ID for this managed resource.
    id string
    The provider-assigned unique ID for this managed resource.
    id str
    The provider-assigned unique ID for this managed resource.
    id String
    The provider-assigned unique ID for this managed resource.

    Package Details

    Repository
    pulumiservice pulumi/pulumi-pulumiservice
    License
    Apache-2.0
    pulumiservice logo

    This provider is currently in preview.

    Viewing docs for Pulumi Cloud v1.1.0
    published on Thursday, May 21, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial